

package gov.va.med.cds.testharness.vhim400.builders;


import java.util.List;

import org.apache.logging.log4j.Logger;
import org.dom4j.Element;


public interface EntryPointBuilderInterface
{
    void printDomainRecords( List aListOfResults );


    void printDomainRecords( List aListOfResults, Logger aLogger );


    void printDomainRecord( Object aObject );


    void printDomainRecord( Object aObject, Logger aLogger );


    String fillPrintBuffer( Object aObject );


    Element createEntryPointRecord( Element personIdentifier );
}
